### Method

# Pango AttrList splice

#### Declaration [src]

    void
    pango_attr_list_splice (
      PangoAttrList* list,
      PangoAttrList* other,
      gint pos,
      gint len
    )

#### Description [src]

This function opens up a hole in `list`, fills it in with attributes from the left, and then merges `other` on top of the hole.

This operation is equivalent to stretching every attribute that applies at position `pos` in `list` by an amount `len`, and then calling `pango_attr_list_change()` with a copy of each attribute in `other` in sequence (offset in position by `pos`).

This operation proves useful for, for instance, inserting a pre-edit string in the middle of an edit buffer.

#### Parameters

`other` | `PangoAttrList`
| Another `PangoAttrList`
| The data is owned by the caller of the function.
`pos` | `gint`
| The position in `list` at which to insert `other`.
`len` | `gint`
| The length of the spliced segment. (Note that this must be specified since the attributes in `other` may only be present at some subsection of this range)